---
layout: mockup
title: "Typing"
theme: Adwaita/Adwaita.css
permalink: settings/accessibility/typing/
wallpaper: adwaita
category: "Accessibility"
root: accessibility-root
---

<!-- css -->
<link rel="stylesheet" type="text/css" href="{{ site.baseurl }}/css/Adwaita/apps/settings.css">

{%- include widgets/_panel.html -%}

<!-- Window -->
<div class="window medium">
	<!-- Titlebar -->
	<div class="titlebar paned">
		<div class="button-group pane float-left">
			<a class="button image-button secondaryButton" href="{{ site.baseurl }}/settings/{{ page.root }}">{%- include symbolic/actions/go-previous-symbolic.svg -%}</a>
			<a class="button image-button primaryButton" href="{{ site.baseurl }}/settings/network">{%- include symbolic/actions/go-previous-symbolic.svg -%}</a>
			<span class="title">{{ page.category }}</span>
		</div>
		<!-- Title -->
		<div class="title-group">
			<span class="title">{{ page.title }}</span>
		</div>
		<div class="button-group float-right">
			{%- include components/close-button.html close = "window" -%}
		</div>
	</div>
	<!-- Content -->
	<div class="content">
		<!-- Sidebar -->
		<ul id="settingsAccessibilitySidebar" class="sidebar">
		{%- for item in site.data.settings-accessibility-sidebar -%}<a href="{{ site.baseurl }}/settings{{ item.link }}"><li>{%- include symbolic/{{ item.icon }}-symbolic.svg -%}<span>{{ item.title }}</span></li></a>{%- if item.has-separator == true -%}<div class="separator"></div>{%- endif -%}{%- endfor -%}
		</ul>
		<!-- View -->
		<div class="view">
			<!-- Typing -->
			<div class="row">
				<ul class="listrow">
					<li>
						<label>On-Screen Keyboard</label>
						{%- include components/switch.html float = "right" -%}
					</li>
					<li>
						<label>Turn Accessibility Features On/Off With Keyboard</label>
						{%- include components/switch.html float = "right" -%}
					</li>
				</ul>
			</div>
			<!-- Cursor Blinking -->
			<div class="row">
				<h4>Cursor Blinking</h4>
				<p>Blink rate of the cursor in text fields.</p>
				<ul class="listrow">
					<li>
						<label>Cursor Blinking</label>
						{%- include components/switch.html float = "right" checked = "checked" -%}
					</li>
					<li>
						<label>Blink Rate</label>
						<input class="float-right" type="range" min="1" max="100" value="75" id="cursorBlinkRateScale">
					</li>
				</ul>
			</div>
			<!-- Sticky Keys -->
			<div class="row">
				<h4>Sticky Keys</h4>
				<p>Treat a sequence of modifier keys as a key combination.</p>
				<ul class="listrow">
					<li>
						<label>Sticky Keys</label>
						{%- include components/switch.html float = "right" onclick = "$('.stickyKeysOption').removeClass('insensitive');"-%}
					</li>
					<li class="stickyKeysOption insensitive">
						<label>Disable On Simultaneous Key Presses</label>
						{%- include components/switch.html float = "right" -%}
					</li>
					<li class="stickyKeysOption insensitive">
						<label>Beep When Modifier Key Is Pressed</label>
						{%- include components/switch.html float = "right" -%}
					</li>
				</ul>
			</div>
			<!-- Slow Keys -->
			<div class="row">
				<h4>Slow Keys</h4>
				<p>Put a delay between when a key is pressed and when it is accepted.</p>
				<ul class="listrow">
					<li>
						<label>Slow Keys</label>
						{%- include components/switch.html float = "right" onclick = "$('.slowKeysOption').removeClass('insensitive');"-%}
					</li>
					<li class="slowKeysOption insensitive">
						<label>Acceptance Delay</label>
						<input class="float-right" type="range" min="1" max="100" value="75" id="cursorBlinkRateScale">
					</li>
					<li class="slowKeysOption insensitive" id="slowKeysBeepPopover">
						<label>Beep</label>
						<div class="icon s16 float-right">{%- include symbolic/actions/dropdown-symbolic.svg -%}</div>
						<label class="float-right" id="slowKeysBeepStatus">Never</label>
					</li>
				</ul>
			</div>
			<!-- Bounce Keys -->
			<div class="row">
				<h4>Bounce Keys</h4>
				<p>Ignore fast duplicate key presses.</p>
				<ul class="listrow">
					<li>
						<label>Bounce Keys</label>
						{%- include components/switch.html float = "right" onclick = "$('.bounceKeysOption').removeClass('insensitive');"-%}
					</li>
					<li class="bounceKeysOption insensitive">
						<label>Acceptance Delay</label>
						<input class="float-right" type="range" min="1" max="100" value="75" id="cursorBlinkRateScale">
					</li>
					<li class="bounceKeysOption insensitive">
						<label>Beep When Key Is Rejected</label>
						{%- include components/switch.html float = "right" -%}
					</li>
				</ul>
			</div>
			<!-- Sound Keys -->
			<div class="row">
				<h4>Key Alerts</h4>
				<p>Display an alert when specific keys are pressed.</p>
				<ul class="listrow">
					<li>
						<label>Num Lock Alert</label>
						{%- include components/switch.html float = "right" -%}
					</li>
					<li>
						<label>Scroll Lock Alert</label>
						{%- include components/switch.html float = "right" -%}
					</li>
					<li>
						<label>Caps Lock Alert</label>
						{%- include components/switch.html float = "right" checked = "checked" -%}
					</li>
				</ul>
			</div>
			<!-- Repeat Keys -->
			<div class="row">
				<h4>Repeat Keys</h4>
				<p>Key presses repeat when the key is held down</p>
				<ul class="listrow">
					<li>
						<label>Repeat Keys</label>
						{%- include components/switch.html float = "right" -%}
					</li>
					<li>
						<label>Speed</label>
						<input class="float-right" type="range" min="1" max="100" value="75" id="repeatKeysSpeed">
					</li>
					<li>
						<label>Delay</label>
						<input class="float-right" type="range" min="1" max="100" value="75" id="repeatKeysDelay">
					</li>
				</ul>
			</div>
		</div>
	</div>
</div>

<!-- js -->
<script type="text/javascript">
// highlight sidebar
$(document).ready(function() {$('#settingsAccessibilitySidebar a:nth-of-type(3) li').addClass("active");});

// fill popover use &apos; to quote escape
$(document).ready(function() {
	var label = "";
	var popoverContent = ['<ul class="scrollbox">',
			'<li onclick="slowKeysBeepStatus($(this).text());">Never</li>',
			'<li onclick="slowKeysBeepStatus($(this).text());">When Key is Pressed</li>',
			'<li onclick="slowKeysBeepStatus($(this).text());">When Key is Rejected</li>',
			'<li onclick="slowKeysBeepStatus($(this).text());">When Key is Accepted</li>',
		'</ul>'].join('');

	$('#slowKeysBeepPopover').popover({
		trigger: 'click',
		content: popoverContent,
		placement: "bottom",
		html: true
	});
});

function slowKeysBeepStatus() {
	$('#slowKeysBeepStatus').text(arguments[0]);
	$("#slowKeysBeepPopover").popover("hide");
}

</script>